%define         pypiname          pykdtree

Name:           python-pykdtree
Version:        1.3.4
Release:        %mkrel 1
Summary:        A Python kd-tree nearest neighbour search
License:        GPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pykdtree
Source0:        https://pypi.python.org/pypi/pykdtree/%{pypiname}-%{version}.tar.gz

%description
Pykdtree is a kd-tree implementation for fast nearest neighbour search
in Python. The aim is to be the fastest implementation around for
common use cases (low dimensions and low number of neighbours) for
both tree construction and queries. Queries are optionally
multithreaded using OpenMP.


%package -n python3-pykdtree
Summary:        A Python3 kd-tree nearest neighbour search
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  libgomp-devel
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-pykdtree
Pykdtree is a kd-tree implementation for fast nearest neighbour search
in Python. The aim is to be the fastest implementation around for
common use cases (low dimensions and low number of neighbours) for
both tree construction and queries. Queries are optionally
multithreaded using OpenMP.




%prep
%setup -q -n %{pypiname}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info


%build
export PROJ_DIR=%{_libdir}
%py3_build


%install
%py3_install


%files -n python3-pykdtree
%{python3_sitearch}/pykdtree
%{python3_sitearch}/%{pypiname}-%{version}-py?.?.egg-info



%changelog
* Sun Dec 06 2020 eatdirt <eatdirt> 1.3.4-1.mga8
+ Revision: 1653721
- Upgrade to version 1.3.4

* Sun Feb 16 2020 umeabot <umeabot> 1.3.1-6.mga8
+ Revision: 1536327
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 1.3.1-5.mga8
+ Revision: 1453953
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 1.3.1-4.mga7
+ Revision: 1352205
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-3.mga7
+ Revision: 1300566
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.3.1-2.mga7
+ Revision: 1250044
- Fix missing Obsoletes

* Tue Aug 07 2018 eatdirt <eatdirt> 1.3.1-1.mga7
+ Revision: 1248722
- Upgrade to version 1.3.1

* Fri Oct 27 2017 eatdirt <eatdirt> 1.2.2-2.mga7
+ Revision: 1174041
- Remove unused BR to proj-devel

* Fri Oct 27 2017 eatdirt <eatdirt> 1.2.2-1.mga7
+ Revision: 1174038
- imported package python-pykdtree

